ModelMixHMMR-class {flamingos} | R Documentation

## A Reference Class which represents a fitted mixture of HMMR model.

### Description

ModelMixHMMR represents an estimated mixture of HMMR model.

### Fields

`param`

  A ParamMixHMMR object. It contains the estimated values of the parameters.

`stat`

  A StatMixHMMR object. It contains all the statistics associated to the MixHMMR model.

### Methods

`plot(what = c("clustered", "smoothed", "loglikelihood"), ...)`

  Plot method

  `what`

    The type of graph requested:

    - `"clustered" =` Clustered curves (field `klas` of class StatMixHMMR).

    - `"smoothed" =` Smoothed signal (field `smoothed` of class StatMixHMMR).

    - `"loglikelihood" =` Value of the log-likelihood for each iteration (field `stored_loglik` of class StatMixHMMR).

  `...`

    Other graphics parameters.

`summary(digits = getOption("digits"))`

  Summary method.

  `digits`

    The number of significant digits to use when printing.

### See Also

ParamMixHMMR, StatMixHMMR

### Examples

    data(toydataset)
    x <- toydataset$x
    Y <- t(toydataset[,2:ncol(toydataset)])

    mixhmmr <- emMixHMMR(X = x, Y = Y, K = 3, R = 3, p = 1, verbose = TRUE)

    # mixhmmr is a ModelMixHMMR object. It contains some methods such as 'summary' and 'plot'
    mixhmmr$summary()
    mixhmmr$plot()

    # mixhmmr has also two fields, stat and param which are reference classes as well

    # Log-likelihood:
    mixhmmr$stat$loglik

    # Parameters of the polynomial regressions:
    mixhmmr$param$beta

[Package flamingos version 0.1.0 Index]